def shorter_arrow(x,y,al):
    bet = 0.3
    v1 = (-y+al*x*(x^2+y^2-1) )*bet
    v2 = (x+al*y*(x^2+y^2-1) )*bet
    return arrow( (x,y), (x+v1,y+v2), arrowsize =2 )

P = circle( (0,0),1, thickness =2 )
Q = P

N = 20
M = 5
for j in range(M):
    for i in range(N):
        r = 1+j/M
        P += shorter_arrow(r*cos(2*pi*i/N+r),r*sin(2*pi*i/N+r),0.5)
        Q += shorter_arrow(r*cos(2*pi*i/N+r),r*sin(2*pi*i/N+r),0.0)

P.set_aspect_ratio(1)
Q.set_aspect_ratio(1)

#P.show()
#Q.show()

P.save(filename='/home/fernando/projects/ord_enga/imag/ph_p2.eps')
Q.save(filename='/home/fernando/projects/ord_enga/imag/ph_p1.eps')



