for R in IntegerRange(5,21,5):
    pol = []
    L = [(-1,0)]
    P = circle((0,0), 1)
    for n in IntegerRange(-R,R):
        m = max( ceil(sqrt(R^2-n^2)), ceil(sqrt(R^2-(n+1)^2)) )
        L.append( (n/R,m/R) )
        L.append( ((n+1)/R,m/R) )
    pol = L[:]
    for item in L:
        pol.append( (-item[0],-item[1]) )
    pol.append( (-1,0) )
    P += list_plot(pol, plotjoined=True)
    for n in range(-R,R+1):
        P += line( [(n/R,-1.1),  (n/R,1.1)], thickness =0.5, linestyle = ':' )
        P += line( [(-1.1,n/R),  (1.1,n/R)], thickness =0.5, linestyle = ':' )
    P += text( str(R), (0.1,0.1), fontsize = 25 )
    P.show(aspect_ratio=1)
    nam = 'ccircle' + str(R/5)
    P.set_aspect_ratio(1)
    P.save(filename='/home/fernando/projects/ord_enga/imapro/'+nam+'.eps')
