N = 4
al = 1/cos(pi/N)
L = [[al*cos(2*pi*(i+.5)/N),al*sin(2*pi*(i+.5)/N)] for i in range(200)]
P = list_plot(L, plotjoined=True, thickness =2)
P += line([(0,0),L[0]])
scr = 0.03
xpo = 1.1
P += arrow((xpo,0-scr), (xpo,L[0][1]+scr), head=2)
P += text('$a_1$', (xpo+0.15, 0.8*L[0][1]), fontsize=25 )

N = 8
al = 1/cos(pi/N)
L = [[al*cos(2*pi*(i+.5)/N),al*sin(2*pi*(i+.5)/N)] for i in range(200)]
P += list_plot(L, plotjoined=True, rgbcolor=(0,3/4,0), thickness =2)
P += line([(0,0),L[0]], rgbcolor=(0,3/4,0))
xpo = 1.2
P += arrow((xpo,0-scr), (xpo,L[0][1]+scr), head=2)
P += text('$a_2$', (xpo+0.15, 0.8*L[0][1]), fontsize=25 )

N = 16
al = 1/cos(pi/N)
L = [[al*cos(2*pi*(i+.5)/N),al*sin(2*pi*(i+.5)/N)] for i in range(200)]
P += list_plot(L, plotjoined=True, rgbcolor=(3/4,0,0), thickness =2)
P += line([(0,0),L[0]], rgbcolor=(3/4,0,0))
xpo = 1.3
P += arrow((xpo,0-scr), (xpo,L[0][1]+scr), head=2, arrowsize =3)
P += text('$a_3$', (xpo+0.15, 0.8*L[0][1]), fontsize=25 )

P += circle((0,0), 1, thickness =1)
P.show(aspect_ratio=1)

#P.set_aspect_ratio(1)
#P.save(filename='/home/fernando/circle.eps')

